/*
 *  Copyright (C) 2003-2004 Curt Coder
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <SDL.h>

// picture renderer flags

#define IDF_AGI_PIC_V1		0x0001
#define IDF_AGI_PIC_V15		0x0002
#define IDF_AGI_PIC_V2		0x0004
#define IDF_AGI_PIC_V3		0x0008
#define IDF_AGI_PIC_C64		0x0010
#define IDF_AGI_PIC_DOUBLE	0x0020
#define IDF_AGI_CGA_COLORS	0x0040
#define IDF_AGI_STEP		0x0080
#define IDF_AGI_CIRCLE		0x0100

// picture dimensions

#define IDI_AGI_PIC_MAX_WIDTH	160
#define IDI_AGI_PIC_MAX_HEIGHT	168

// AGI colors

#define IDC_AGI_PIC		15
#define IDC_AGI_PRI		4

// AGI opcodes

#define IDI_AGI_MIN		0xE0
#define IDI_AGI_END		0xFF

// AGI picture structure

struct AGI_PICTURE {
	int w;
	int h;
	int x0;
	int y0;
	bool fDrawPic;
	bool fDrawPri;
	int colPic;
	int colPri;
	Uint8 patCode;
	Uint8 patNum;
	int bmpPic[IDI_AGI_PIC_MAX_WIDTH][IDI_AGI_PIC_MAX_HEIGHT];
	int bmpPri[IDI_AGI_PIC_MAX_WIDTH][IDI_AGI_PIC_MAX_HEIGHT];
	int flags;
	bool fCircle;
};

void ClearScreenAGI(int w, int h, int x0, int y0, int flags);
void AGI_DrawPic(int x0, int y0, int flags, Uint8 *buffer);
void DrawPictureBCG(Uint8 *buffer);
