/*
 *  Copyright (C) 2003-2004 Curt Coder
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

// GameDriver flags

#define GAME_NOT_WORKING			0x0008
#define GAME_IMPERFECT_GRAPHICS		0x0080
#define GAME_NO_SOUND				0x0200
#define GAME_IMPERFECT_SOUND		0x0400

// GameDriver struct

struct GameDriver {
	const char *name;
	const char *year;
	const char *company;
	const char *fullname;
	long flags;
	void (*driver_init)(void);
};

// driver macros

#define GAME(NAME,YEAR,COMPANY,FULLNAME,FLAGS,INIT)\
	extern const struct GameDriver driver_##NAME = { #NAME, #YEAR, COMPANY, FULLNAME, FLAGS, INIT };

const GameDriver driver_0 = {
	"", "", "", "", 0
};
