/*
 *  Copyright (C) 2003-2004 Curt Coder
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

//
// GELFLING ADVENTURE
// COPYRIGHT 1984
// BY SIERRA ON-LINE, INC.
// AND HENSON ASSOCIATES, INC.
// TM DESIGNATES A TRADEMARK OF
// SIERRA ON-LINE, INC.
//

// strings

#define IDS_GEL_PATH_PIC	"%s\\PICTURE%d"
#define IDS_GEL_PATH_OBJ	"%s\\OBJECT%d"
#define IDS_GEL_PATH		"%s\\%s"

#define IDS_GEL_FILE_0		"BMESSAGE"
#define IDS_GEL_FILE_1		"CONGRATS.OBJ"
#define IDS_GEL_FILE_2		"TEXT"

#define IDS_GEL_ANY_KEY		"PRESS ANY KEY TO CONTINUE."

#define IDS_GEL_INTRO		"\nHAVE YOU PLAYED THIS GAME BEFORE?\nPRESS <Y> OR <N>."
#define IDS_GEL_CREDITS_0	"PREPARE TO ENTER UPON THE"
#define IDS_GEL_CREDITS_1	"|                        |"
#define IDS_GEL_CREDITS_2	"|   GELFLING ADVENTURE   |"
#define IDS_GEL_CREDITS_3	"|                     TM |"
#define IDS_GEL_CREDITS_4	"PROGRAMMING"
#define IDS_GEL_CREDITS_5	"BY"
#define IDS_GEL_CREDITS_6	"AL LOWE ASSOCIATES"
#define IDS_GEL_CREDITS_7	"TEXT AND EDUCATIONAL CONCEPTS BY"
#define IDS_GEL_CREDITS_8	"MICHAEL MACCHESNEY"
#define IDS_GEL_CREDITS_9	"RAE LYNN MACCHESNEY"
#define IDS_GEL_CREDITS_10	"COPYRIGHT 1984"
#define IDS_GEL_CREDITS_11	"BY SIERRA ON-LINE, INC."
#define IDS_GEL_CREDITS_12	"AND HENSON ASSOCIATES, INC."
#define IDS_GEL_CREDITS_13	"TM DESIGNATES A TRADEMARK OF"
#define IDS_GEL_CREDITS_14	"SIERRA ON-LINE, INC."

#define IDS_GEL_TUTORIAL_0	"WHEN LINES OF TEXT APPEAR WITHOUT A\nFLASHING SQUARE, PRESS ANY KEY\nTO CONTINUE."
#define IDS_GEL_TUTORIAL_1	"PRESS THE |SPACE BAR| TO MOVE THE SQUARE\n| |1. FROM THIS LINE, TO\n 2. THIS LINE, OR EVEN\n 3. ALL THE WAY DOWN HERE."
#define IDS_GEL_TUTORIAL_2	"NOW, PRESS |RETURN| TO SELECT YOUR CHOICE. 1. FROM THIS LINE, TO\n 2. THIS LINE, OR EVEN\n 3. ALL THE WAY DOWN HERE."
#define IDS_GEL_TUTORIAL_3	"USE THE SPACE BAR AND THE RETURN KEY.\n 1. LEARN HOW TO READ THE LINES AGAIN.\n 2. FIND OUT THE NAMES OF YOUR FRIENDS.\n 3. PLAY THE GAME"
#define IDS_GEL_TUTORIAL_4	"PRESS THE LEFT ARROW KEY TO GET THE\nLINES OF TEXT BACK."
#define IDS_GEL_TUTORIAL_5	"KIRA, JEN, AUGHRA, URSU, AND FIZZGIG."

#define IDS_GEL_GAME_OVER_0	"CONGRATULATIONS!  YOU HAVE WON\n\n          \"GELFLING ADVENTURE.\""
#define IDS_GEL_GAME_OVER_1	"IT TOOK YOU %d MOVES TO FINISH\nTHE GAME.  MY BEST SCORE IS\n%d MOVES."
#define IDS_GEL_GAME_OVER_2	"WOW!!  THAT'S A GREAT SCORE!\nCONGRATULATIONS ON A SUPER GAME!"
#define IDS_GEL_GAME_OVER_3	"\nI BET YOU'LL DO EVEN BETTER THE NEXT\nTIME YOU PLAY \"GELFLING ADVENTURE!\""
#define IDS_GEL_GAME_OVER_4	"SIERRA ON-LINE THANKS YOU FOR PLAYING,\nAND HOPES YOU ENJOYED\n          \"GELFLING ADVENTURE.\""
#define IDS_GEL_GAME_OVER_5	"PRESS <Y> IF YOU WOULD LIKE TO PLAY\n\"GELFLING ADVENTURE\" AGAIN."
#define IDS_GEL_GAME_OVER_6	"INSERT ANY DOS DISK AND\n|       PRESS ANY KEY TO RE-BOOT.        |"
#define IDS_GEL_GAME_OVER_7 "     THIS DISK HAS NO DOS TO BOOT.\n\n\n        INSERT ANOTHER DISK AND\n\n        PRESS A KEY TO REBOOT.  *"

#define IDS_GEL_DISK		"PLEASE BE SURE YOUR \"GELFLING ADVENTURE\"DISK IS IN YOUR DRIVE THE CORRECT WAY.\n       PRESS ANY KEY TO CONTINUE."
#define IDS_GEL_DISK_A		"RE-INSERT THE DISK WITH THE LABEL SIDE\nUP, THEN PRESS ANY KEY TO CONTINUE."
#define IDS_GEL_DISK_B		"RE-INSERT THE DISK WITH THE LABEL SIDE\nDOWN, THEN PRESS ANY KEY TO CONTINUE."

// picture

#define IDI_GEL_PIC_WIDTH	140
#define IDI_GEL_PIC_HEIGHT	160
#define IDI_GEL_PIC_X0		10
#define IDI_GEL_PIC_Y0		0
#define IDI_GEL_PIC_FLAGS	IDF_AGI_PIC_C64 | IDF_AGI_STEP

// files

#define IDI_GEL_OFS_BMESSAGE	0x6100
#define IDI_GEL_OFS_CONGRATS	0x8B00
#define IDI_GEL_MAX_LEN_MSG		161
#define IDI_GEL_LEN_TEXT		430

enum {
	IDI_GEL_SEL_BACK = -1,
	IDI_GEL_SEL_OPTION_1,
	IDI_GEL_SEL_OPTION_2,
	IDI_GEL_SEL_OPTION_3
};

// structs

struct GEL_BMESSAGE_HDR {
	Uint16	dummy0;
	Uint16	offset[114];
	Uint8	dummy1[25];
};

struct GEL_CONGRATS_HDR {
	Uint16	dummy0;
	Uint16	offset[24];
};
