/*
 *  Copyright (C) 2003-2004 Curt Coder
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <string>
#include <SDL.h>
#include "fileio.h"

static FILE *OpenFileRead(char *szFile)
{
	FILE *infile;
	if ((infile = fopen(szFile, "rb")) == NULL) exit(2);
	return infile;
}

static FILE *OpenFileWrite(char *szFile)
{
	FILE *infile;
	if ((infile = fopen(szFile, "wb")) == NULL) exit(2);
	return infile;
}

long ReadFile(char *szFile, Uint8 *buffer)
{
	FILE *infile = OpenFileRead(szFile);
	long filelen = 0;

	// get file length
	fseek(infile, 0L, SEEK_END);
	filelen = ftell(infile);
	fseek(infile, 0L, SEEK_SET);

	// clear buffer and read data
	memset(buffer, 0, sizeof(buffer));
	fread(buffer, 1, filelen, infile);

	fclose(infile);

	return filelen;
}

long ReadFileOfs(char *szFile, int ofs, Uint8 *buffer, long buflen)
{
	FILE *infile = OpenFileRead(szFile);
	char szError[256] = {0};

	// clear buffer and read data
	memset(buffer, 0, buflen);
	fseek(infile, ofs, SEEK_SET);
	fread(buffer, 1, buflen, infile);

	fclose(infile);

	return buflen;
}

long WriteFile(char *szFile, Uint8 *buffer, long bufsize)
{
	FILE *outfile = OpenFileWrite(szFile);

	fwrite(buffer, 1, bufsize, outfile);
	fclose(outfile);

	return bufsize;
}
