/*
 *  Copyright (C) 2003-2004 Curt Coder
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <SDL.h>
#include "font.h"
#include "gfx.h"

void DrawChar(int x, int y, int attr, int code, char *fontdata)
{
	int cx, cy;
	Uint32 color;

	for (cy = 0; cy < 8; cy++)
	{
		for (cx = 0; cx < 8; cx++)
		{
			if (fontdata[(code * 8) + cy] & (1 << (7 - cx)))
				color = EGACOLOR(FGCOLOR(attr));
			else
				color = EGACOLOR(BGCOLOR(attr));

			PutPixel(x + cx, y + cy, color);
		}
	}
}

void DrawCharset(int x, int y, char *fontdata)
{
	for (int code = 0; code < 256; code++)
	{
		int row = code / 16;
		int col = code % 16;
		int vx = x + (col * 8);
		int vy = y + (row * 8);

		DrawChar(vx, vy, 0x07, code, fontdata);
	}
}
